Package Details: moltengamepad 1.2.1-1

Git Clone URL: https://aur.archlinux.org/moltengamepad.git (read-only, click to copy)
Package Base: moltengamepad
Description: Flexible Linux input device translator, geared for gamepads
Upstream URL: https://github.com/jgeumlek/MoltenGamepad
Licenses: MIT
Submitter: chris_l
Maintainer: None
Last Packager: lovetocode999
Votes: 1
Popularity: 0.000000
First Submitted: 2018-01-10 03:43 (UTC)
Last Updated: 2022-02-18 17:57 (UTC)

Latest Comments

thyTwilightGoth commented on 2023-12-16 00:35 (UTC)

Adding onto the comment bellow me move make CC=gcc-12 CPP=g++-12 CXX=g++-12 LD=g++-12 eventlists to prepare() { section. Otherwise the Eventlist will not be in the source code which is required for this program to compile.

FungiKin commented on 2023-12-06 20:23 (UTC)

If you run into issues building this install gcc12, and add "CC=gcc-12 CPP=g++-12 CXX=g++-12 LD=g++-12" to lines 29 and 30 after the word "make"

ThePirate42 commented on 2022-03-11 21:08 (UTC) (edited on 2022-03-11 21:11 (UTC) by ThePirate42)

Errors during building: https://pastebin.com/T4dpYdHu

Daphron commented on 2021-01-11 03:14 (UTC)

I get the same segfault when running moltengamepad immediately after installing. The change xordspar0 put in the PKGBUILD and the patch to the postinstall script don't fix it.

(1/1) installing moltengamepad                                                                           [##############################################################] 100%
gamepad:x:1002:
/usr/lib/tmpfiles.d/moltengamepad.conf:2: Line references path below legacy directory /var/run/, updating /var/run/moltengamepad → /run/moltengamepad; please update the tmpfiles.d/ drop-in file accordingly.
Detected version of udev that supports removing tags.

Start/enable the moltengamepad service
:: Running post-transaction hooks...
(1/4) Reloading system manager configuration...
(2/4) Creating temporary files...
/usr/lib/tmpfiles.d/moltengamepad.conf:2: Line references path below legacy directory /var/run/, updating /var/run/moltengamepad → /run/moltengamepad; please update the tmpfiles.d/ drop-in file accordingly.
(3/4) Reloading device manager configuration...
(4/4) Arming ConditionNeedsUpdate...

xordspar0 commented on 2020-08-19 04:21 (UTC)

From 17001071757cf870aa0d8196aa71e64225c0059c Mon Sep 17 00:00:00 2001
From: Jordan Christiansen <xordspar0@gmail.com>
Date: Tue, 18 Aug 2020 23:20:04 -0500
Subject: [PATCH] Correctly create the gamepad user

The post install script fails to create the gamepad user. This patch
fixes that.
---
 moltengamepad.install | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/moltengamepad.install b/moltengamepad.install
index 3fc59b7..655fcb8 100644
--- a/moltengamepad.install
+++ b/moltengamepad.install
@@ -1,12 +1,11 @@
 # This install script is based on the installation/systemuser/install.sh script from moltengamepad

 post_install() {
-  if [ -z "`grep "^gamepad:" /etc/group`" ]; then
+  if ! grep '^gamepad:' /etc/group; then
     groupadd gamepad
   fi
-  if [ -n "`grep "^gamepad:" /etc/passwd`" ]; then
-    useradd -r -s /bin/false -c "gamepad user" gamepad
-    gpasswd -a gamepad gamepad
+  if ! grep '^gamepad:' /etc/passwd; then
+    useradd -r -s /bin/false -c "gamepad user" gamepad -g gamepad
   fi

   udevadm control --reload
-- 
2.28.0

xordspar0 commented on 2020-08-19 04:03 (UTC)

When I run moltengamepad on the command line after installing this, I get a segfault right away. However, when I add options=(debug !strip) to the PKGBUILD, the segfault goes away.